@import "../../../global.scss";

.switch {
  position: relative;
  display: inline-block;
  width: 25px;
  height: 15px;
  margin-bottom: 0;

  input {
    opacity: 0;
    width: 0;
    height: 0;
  }
}

.switch input:checked + .slider {
  background-color: $Lime;
}

.switch input:focus + .slider {
  box-shadow: 0 0 1px $Lime;
}

.switch input:checked + .slider:before {
  transform: translateX(11px);
  background-color: #e4e4e4;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #e4e4e4;
  -webkit-transition: 0.4s;
  transition: 0.4s;

  &:before {
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    left: 0;
    bottom: 0;
    background-color: $DarkBlue;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }

  &.round {
    border-radius: 34px;
  }

  &.round:before {
    border-radius: 50%;
  }
}
